modinfo_t Struct Reference
Public interface » ID macros

module.alias information More...

`#include <hd.h>`

## Data Fields

char * | module
char * | alias
modinfo_type_t | type
union { |
struct { |
struct { |
unsigned modinfo_t::vendor:1 |
unsigned modinfo_t::device:1 |
unsigned modinfo_t::sub_vendor:1 |
unsigned modinfo_t::sub_device:1 |
unsigned modinfo_t::base_class:1 |
unsigned modinfo_t::sub_class:1 |
unsigned modinfo_t::prog_if:1 |
} modinfo_t::has
unsigned modinfo_t::vendor |
unsigned modinfo_t::device |
unsigned modinfo_t::sub_vendor |
unsigned modinfo_t::sub_device |
unsigned modinfo_t::base_class |
unsigned modinfo_t::sub_class |
unsigned modinfo_t::prog_if |
} modinfo_t::pci
struct { |
struct { |
unsigned modinfo_t::vendor:1 |
unsigned modinfo_t::product:1 |
unsigned modinfo_t::device_class:1 |
unsigned modinfo_t::device_subclass:1 |
} modinfo_t::has
unsigned modinfo_t::vendor |
unsigned modinfo_t::product |
unsigned modinfo_t::device_class |
unsigned modinfo_t::device_subclass |
} modinfo_t::usb
}; |

## Detailed Description

module.alias information

The documentation for this struct was generated from the following file:

- hd.h